Ruby - Bug #1035

crash using weakrefs
01/22/2009 04:53 AM - rogerdpack (Roger Pack)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: Backport:

Description

=begin
This test appears to cause a crash in older versions of ruby 1.8.6, and also in 1.9 TRUNK.

goto
http://www.lloydforge.org/projects/misc/
download "ruby performance tests"
unzip

run like

ruby cases/create_weak_hashes.rb

ex:

[byu_p2pweb@planetlab1 quantify]$ ~/installs/ruby_19_trunk/bin/ruby -v cases/create_weak_hashes.rb
ruby 1.9.1p5000 (2009-01-22 trunk 21720) [i686-linux]

:17: [BUG] Segmentation fault ruby 1.9.1p5000 (2009-01-22 trunk 21720) [i686-linux]

-- control frame ----------
¢:0001 p:0000 s:0002 b:0002 1:00050c d:00050c TOP :17

-- Ruby level backtrace information

-- C level backtrace information
0xb7ec6db7 /home/byu_p2pweb/installs/ruby_19_trunk/lib/libruby.so.1.9(rb_vm_bugreport+0x57) [Oxb7ec6db7]
0xb7de677c /home/byu_p2pweb/installs/ruby_19_trunk/lib/libruby.so.1.9 [0xb7de677c¢]

0xb7de6819 /home/byu_p2pweb/installs/ruby_19_trunk/lib/libruby.so.1.9(rb_bug+0x39) [0xb7de6819]

0xb7e7175d /home/byu_p2pweb/installs/ruby_19_trunk/lib/libruby.so.1.9 [0xb7e7175d]

0xb7f25440 [0xb7f25440]

0xb7e7744f /nome/byu_p2pweb/installs/ruby_19_trunk/lib/libruby.so.1.9(st_foreach+0xff) [0xb7e7744f]

0xb7df6cab /home/byu_p2pweb/installs/ruby_19_trunk/lib/libruby.so.1.9(rb_gc_call_finalizer_at_exit+0x56) [0xb7df6cab]
0xb7de8f9e /home/byu_p2pweb/installs/ruby_19_trunk/lib/libruby.so.1.9 [0xb7de8f9e]

0xb7dea022 /home/byu_p2pweb/installs/ruby_19_trunk/lib/libruby.so.1.9(ruby_cleanup+0x122) [Oxb7dea022]
0xb7dealac /home/byu_p2pweb/installs/ruby_19_trunk/lib/libruby.so.1.9(ruby_run_node+0x5c) [0xb7dealac]
0x8048764 /home/byu_p2pweb/installs/ruby_19_trunk/bin/ruby(main+0x74) [0x8048764]

0xb7bd3390 /lib/libc.s0.6(__libc_start_main+0xe0) [0xb7bd3390]

0x8048631 /home/byu_p2pweb/installs/ruby_19_trunk/bin/ruby [0x8048631]

=end

History

#1 - 01/22/2009 12:27 PM - nobu (Nobuyoshi Nakada)
- Status changed from Open to Closed
- % Done changed from 0 to 100

=begin
Applied in changeset r21727.
=end
